AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- Logger

### Implemented by

- ConsoleLogger

## Index

### Methods

- debug
- error
- info
- warn

## Methods

### debug

- debug(msg: string): void

- - Defined in core/src/Logger/logger-interface.ts:16

  #### Parameters

  - ##### msg: string

  #### Returns void

### error

- error(msg: string): void

- - Defined in core/src/Logger/logger-interface.ts:19

  #### Parameters

  - ##### msg: string

  #### Returns void

### info

- info(msg: string): void

- - Defined in core/src/Logger/logger-interface.ts:17

  #### Parameters

  - ##### msg: string

  #### Returns void

### warn

- warn(msg: string): void

- - Defined in core/src/Logger/logger-interface.ts:18

  #### Parameters

  - ##### msg: string

  #### Returns void